MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022794Community[OCCT] OCCT:Modeling Algorithmspublic2011-11-02 12:172016-12-09 16:38
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0022794: Boolean Cut operation produces incorrect result.
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_21981/. [^]
"Test data added.
- MS Windows 7 Win32 & VC9, OpenCASCADE 6.5.1, precision is by default.
Test method: TestOCCAPI method.txt
Test data: "Void1.brep" cut "Positive.brep" can not get good result."

Result is incorrect and Not Valid shape.
Steps To Reproducepload ALL
restore Positive.brep p
checkshape p
## Ok
restore Void1.brep v
checkshape v
## Ok
bop p v
bopcut r
## ==> shape is incorrect and not valid!
checkshape r
>>Shape faulty_1 on shape faulty_2 :
>>BRepCheck_NotClosed

>>Faulty shapes in variables faulty_1 to faulty_2
TagsNo tags attached.
Test case number bugs modalg_6 bug22794
Attached Fileszip file icon shapes21981.zip (1,759 bytes) 2011-11-02 12:17
png file icon StrangeFace.png (20,093 bytes) 2016-08-18 16:32
png file icon Geometry.png (6,321 bytes) 2016-08-18 16:37
? file icon bug22794 (824 bytes) 2016-08-18 17:31

- Relationships

-  Notes
(0032188)
abv (manager)
2014-09-26 09:46

On current master the result is valid, but contains extremely thin fragments (one as separate solid and another as part of the main solid)
(0056803)
bugmaster (administrator)
2016-08-17 17:42

Problem is not reproduced on current state of OCCT
(0056832)
bugmaster (administrator)
2016-08-18 16:31
edited on: 2016-08-18 17:31

Eugene,

Could you please validate result executing attached test case.
A strange face is displayed as one more solid.
But it seem it is caused geometry of initial shape if see it in big scale.
The shape is already in data repository

(0056847)
emv (developer)
2016-08-19 08:34
edited on: 2016-08-19 08:34

I confirm that on the current master the result is valid. I have checked all types of Boolean operations on these shapes. All results are valid.
About the strange face. It is not a face, but thin solid. It is tetrahedron with two narrow sides. Its thickness at the base on one side is 2.e-5 and on the other 0.05, while max tolerance of vertex in this solid is 5.e-7. Thus, it is valid.

(0056848)
git (administrator)
2016-08-19 09:54

Branch CR22794 has been created by inv.

SHA-1: 9b563d083cd567f3b902f709e66ffc9a54f358bb


Detailed log of new commits:

Author: bugmaster
Date: Fri Aug 19 09:55:06 2016 +0300

    0022794: Boolean Cut operation produces incorrect result.
    Adding testing case
(0056849)
bugmaster (administrator)
2016-08-19 09:55

Test case bugs modalg_6 bug22794 has been added.
(0057130)
git (administrator)
2016-08-26 16:22

Branch CR22794 has been deleted by inv.

SHA-1: 9b563d083cd567f3b902f709e66ffc9a54f358bb

- Related Changesets
occt: master 4eb65ae9
Timestamp: 2016-08-19 06:55:06
Author: bugmaster
Details ] Diff ]
0022794: Boolean Cut operation produces incorrect result.
Adding testing case
add - tests/bugs/modalg_6/bug22794 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-11-02 12:17 szy New Issue
2011-11-02 12:17 szy Assigned To => jgv
2011-11-02 12:17 szy File Added: shapes21981.zip
2012-03-12 07:27 abv Target Version 6.5.3 => 6.5.4
2012-10-23 19:03 abv Target Version 6.5.4 => 6.6.0
2013-03-01 21:21 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:23 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:19 abv Target Version 6.7.1 => 6.8.0
2014-09-26 09:46 abv Note Added: 0032188
2014-09-26 09:46 abv Target Version 6.8.0 => 7.1.0
2016-08-17 17:42 bugmaster Note Added: 0056803
2016-08-17 17:42 bugmaster Assigned To jgv => bugmaster
2016-08-17 17:42 bugmaster Status new => feedback
2016-08-18 16:27 bugmaster Assigned To bugmaster => msv
2016-08-18 16:27 bugmaster Status feedback => resolved
2016-08-18 16:31 bugmaster Note Added: 0056832
2016-08-18 16:31 bugmaster Assigned To msv => emv
2016-08-18 16:31 bugmaster Status resolved => feedback
2016-08-18 16:32 bugmaster File Added: StrangeFace.png
2016-08-18 16:37 bugmaster File Added: Geometry.png
2016-08-18 17:31 bugmaster Note Edited: 0056832 View Revisions
2016-08-18 17:31 bugmaster File Added: bug22794
2016-08-19 08:34 emv Note Added: 0056847
2016-08-19 08:34 emv Assigned To emv => bugmaster
2016-08-19 08:34 emv Status feedback => confirmed
2016-08-19 08:34 emv Note Edited: 0056847 View Revisions
2016-08-19 09:54 git Note Added: 0056848
2016-08-19 09:55 bugmaster Note Added: 0056849
2016-08-19 09:55 bugmaster Status confirmed => reviewed
2016-08-19 09:55 bugmaster Status reviewed => tested
2016-08-19 09:55 bugmaster Test case number => bugs modalg_6 bug22794
2016-08-26 11:53 bugmaster Changeset attached => occt master 4eb65ae9
2016-08-26 11:53 bugmaster Status tested => verified
2016-08-26 11:53 bugmaster Resolution open => fixed
2016-08-26 16:22 git Note Added: 0057130
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker